
#include<bits/stdc++.h>
using namespace std;
#include "triangles.h"

std::vector<std::vector<int>> solve(int n) {
    vector<int>p(3);
    iota(p.begin(), p.end(), 0);
    for (int e = 3; e < n; e++) {
        vector<int>mx = p;
        for (int j = 0; j < 3; j++) {
            vector<int>cur = p;
            cur[j] = e;
            Triangle v1(cur[0], cur[1], cur[2]);
            Triangle v2(cur[0], cur[1], cur[2]);
            if (compare(v1, v2) >= 0) {
                mx = cur;
            }
        }
    }
    return {mx};
}